get
https://{domainname}/ca_apis/getBlockNumber
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This API is used to get the 'Block Number Groups' list from your Cloud Agent account.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
Note:Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.
Header parameters
| Parameter | Description |
|---|---|
| apiKey* | Your CloudAgent account API Key |
| Content-Type | application/json |
Body Params
{
"userName":"xxxxx"}
Possible Responses
| Missing 'username' in Authorization | {"status": "error","message": "Authentication failed"} |
| Passing Invalid 'username' in Authorization | {"status": "error","message": "Authentication failed"} |
| Missing 'password; in Authorization | {"status": "error","message": "Authentication failed"} |
| Passing Invalid 'password; in Authorization | {"status": "error","message": "Authentication failed"} |
| Passing the valid 'username' and 'password' in Authorization | {"status": "success","message": "19 records found","data": [{ "GroupID": "XXX", "GroupName": "XXXXXXX", "UserId": "XXXX", "Description": "XXXXXXXX"} |
